<template>
  <div id="poshta">
     <div class="description">Виберіть місто:</div>
    <select v-model="searchCity" @click="getWarehouses()" v-once>
      <option
        v-for="item in cities"
        v-bind:key="item.CityID"
 
      >
        {{ item.Description }}
      </option>
    </select>
   <div class="description">Виберіть відділення:</div>
    <select v-model="cities">
      <option v-for="item in warehouses" v-bind:key="item.CityID"> {{item.Description}}</option>
    </select>
  </div>
</template>

<script>
import axios from 'axios'

export default {
  data: function () {
    return {
      cities: [],
      warehouses: [],
      searchCity: "",
    };
  },
  mounted: function () {
    axios
      .post("http://api.novaposhta.ua/v2.0/json/Address/getCities", {
        modelName: "Address",
        calledMethod: "getCities",
        apiKey: "9a557481f95094531372a9d1b55222c8",
      })
      .then((response) => {
          console.log("запрос на города:");
        console.log(response.data);
        this.cities = response.data.data;
      });
  },
  methods: {
    getWarehouses() {
      axios
        .post(
          "http://api.novaposhta.ua/v2.0/json/AddressGeneral/getWarehouses",
          {
            modelName: "AddressGeneral",
            calledMethod: "getWarehouses",
            apiKey: "9a557481f95094531372a9d1b55222c8",
            methodProperties: {
                CityName: this.searchCity,
            }
          }
        )
        .then((response) => {
            console.log("запрос на отделения:");
          console.log(response.data);
          this.warehouses = response.data.data;
        });
    },
  },
};
</script>

<style scoped>
select {

height: 30px; 
border-radius: 10px;
font-family: Arial;
margin:1%; 
display: block;
}

.description {
    font-family: Arial;
    display: inline; 
    margin:1%; 
}
</style>